ModifiedCraigSneydScheme Class Reference

modified Craig-Sneyd scheme More...

`#include <ql/methods/finitedifferences/schemes/modifiedcraigsneydscheme.hpp>`

## Public Types

typedef OperatorTraits< FdmLinearOp > | traits
typedef traits::operator_type | operator_type
typedef traits::array_type | array_type
typedef traits::bc_set | bc_set
typedef traits::condition_type | condition_type

## Public Member Functions

| ModifiedCraigSneydScheme (Real theta, Real mu, const boost::shared_ptr< FdmLinearOpComposite > &map, const bc_set &bcSet=bc_set())
void | step (array_type &a, Time t)
void | setStep (Time dt)

## Protected Attributes

Time | dt_
const Real | theta_
const Real | mu_
const boost::shared_ptr< FdmLinearOpComposite > | map_
const BoundaryConditionSchemeHelper | bcSet_

## Detailed Description

modified Craig-Sneyd scheme

References: K. J. in ’t Hout and S. Foulon, ADI finite difference schemes for option pricing in the Heston model with correlation, http://arxiv.org/pdf/0811.3427